### cancellation_state

A cancellation state is used for chaining signals and slots in compositions.

    class cancellation_state

##### Member Functions

Name | Description
--- | ---
cancellation_state [constructor] | Construct a disconnected cancellation state. — Construct and attach to a parent slot to create a new child slot.
cancelled | Returns the cancellation types that have been triggered.
clear | Clears the specified cancellation types, if they have been triggered.
slot | Returns the single child slot associated with the state.

##### Requirements

Header: `asio/cancellation_state.hpp`

Convenience header: `asio.hpp`